Bug 680989 - Missing French Canadian Dvorak keyboard layout
Missing French Canadian Dvorak keyboard layout
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kbd (Show other bugs)
rawhide
Unspecified Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Vitezslav Crhonek
Fedora Extras Quality Assurance
: i18n, Triaged
Depends On:
Blocks: 680990
  Show dependency treegraph
 
Reported: 2011-02-28 12:35 EST by Jean-François Fortin Tam
Modified: 2011-10-24 07:23 EDT (History)
4 users (show)

See Also:
Fixed In Version: kbd-1.15.2-3.fc16
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-04-21 07:32:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Canadian French Dvorak kbd keymap (3.04 KB, text/plain)
2011-04-04 08:50 EDT, Vitezslav Crhonek
no flags Details

  None (edit)
Description Jean-François Fortin Tam 2011-02-28 12:35:15 EST
See also bug #668084

It seems there is no keyboard layout for Canadian French Dvorak in kbd or system-config-keyboard. However, X provides such a layout in /usr/share/X11/xkb/symbols/ca

You can find it as:

 xkb_symbols "fr-dvorak" {
    name[Group1] = "Canada - French Dvorak";

Please add this to kbd so that I can use it system-wide and set it at install time.
Comment 1 Vitezslav Crhonek 2011-04-04 08:50:05 EDT
Created attachment 489764 [details]
Canadian French Dvorak kbd keymap

I created the kbd keymap in compliance with xkb keymap. Can you please review it, test it in text console and let me know if it works as expected? I'll offer then the keymap to the upstream of kbd to be included in upstream tarball.
Comment 2 Jean-François Fortin Tam 2011-04-04 09:57:13 EDT
I put it in a .gz and copied it to /lib/kbd/keymaps/i386/dvorak/
But how do I select it/set it as the system keyboard to test?
Comment 3 Vitezslav Crhonek 2011-04-04 10:06:23 EDT
Switch to text console (e. g. ctrl+f2), login as root and issue command "loadkeys /path/to/keymap".
Comment 4 Jean-François Fortin Tam 2011-04-04 10:21:49 EDT
It works great! 
(I also looked at the contents of the .map file you provided and it seems to make a lot of sense)
Comment 5 Vitezslav Crhonek 2011-04-21 07:32:02 EDT
Thanks for testing, the keymap is available in Rawhide - kbd-1.15.2-3.fc16.
Comment 6 Vitezslav Crhonek 2011-10-24 07:23:25 EDT
The keymap was accepted by upstream as 'dvorak-ca-fr.map'.

Note You need to log in before you can comment on or make changes to this bug.